Creative detail (preview, assets, campaigns, seller review)
curl --request GET \
--url https://api.semicola.com/api/v2/buyer/creatives/{cid}/detail \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/buyer/creatives/{cid}/detail"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/buyer/creatives/{cid}/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"creativeId": "<string>",
"advertiserId": 123,
"name": "<string>",
"state": "draft",
"role": "evergreen",
"promoted": true,
"source": "uploaded",
"formatKind": "image",
"formatLabel": "<string>",
"specLine": "<string>",
"revision": 4503599627370495,
"clickUrl": "<string>",
"preview": {
"kind": "image",
"url": "<string>",
"width": 4503599627370495,
"height": 4503599627370495,
"copy": [
{
"slot": "<string>",
"value": "<string>"
}
]
},
"assets": [
{
"assetId": "<string>",
"slot": "<string>",
"name": "<string>",
"mediaKind": "image",
"thumbnailUrl": "<string>",
"specLine": "<string>"
}
],
"campaigns": [
{
"campaignId": "<string>",
"name": "<string>",
"phase": "draft"
}
],
"sellerStatuses": [
{
"seller": {
"sellerId": 123,
"name": "<string>",
"logoUrl": "<string>"
},
"status": "processing",
"rejectionReason": "<string>",
"syncedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Creatives
Creative detail (preview, assets, campaigns, seller review)
GET
/
api
/
v2
/
buyer
/
creatives
/
{cid}
/
detail
Creative detail (preview, assets, campaigns, seller review)
